%global srcname trml2pdf

Name:           python-trml2pdf
Version:        1.2
Release:        4%{?dist}
Summary:        Tiny RML2PDF is a tool to easily create PDF documents without programming

Group:          Development/Languages
License:        LGPLv2+
URL:            http://www.satchmoproject.com/snapshots/
Source0:        http://www.satchmoproject.com/snapshots/%{srcname}-%{version}.tar.gz
Source1:        http://svn.debian.org/viewsvn/python-modules/packages/python-trml2pdf/trunk/debian/%{srcname}.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python2-devel 
%if 0%{?fedora}
BuildRequires: python-unversioned-command
%endif 
%if 0%{?el7}
Requires:       python-reportlab >= 2.1
Requires:       python-imaging
%else
Requires:       python2-reportlab >= 2.1
Requires:       python2-imaging
%endif

%description
Convert Report Markup Language (RML) files to PDF.


%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python2} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# copy man page
install -m 755 -d ${RPM_BUILD_ROOT}/%{_mandir}/man1
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_mandir}/man1
# upsteam is a bit dead, so there's no one to extract a script from the module
sed -i 's@#!/usr/bin/python@#!/usr/bin/python2@g' ${RPM_BUILD_ROOT}/%{python2_sitelib}/trml2pdf/trml2pdf.py
chmod +x ${RPM_BUILD_ROOT}/%{python2_sitelib}/trml2pdf/trml2pdf.py
install -m 755 -d ${RPM_BUILD_ROOT}/%{_bindir}
ln -s %{python2_sitelib}/trml2pdf/trml2pdf.py ${RPM_BUILD_ROOT}/%{_bindir}/trml2pdf

 
%files
%defattr(-,root,root,-)
%doc COPYRIGHT.txt INSTALL.txt LICENSE.txt README.txt
%{python2_sitelib}/*
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 09 2010 Cristian Ciupitu <cristian.ciupitu@yahoo.com> - 1.2-2
- Add man page (from Debian)

* Mon Nov 08 2010 Cristian Ciupitu <cristian.ciupitu@yahoo.com> - 1.2-1
- Initial package
